Ubuntu

compiling qt 4.8 for 32 bit, on a 64 bit OS, Ubuntu 11.10

Asked by ed chapman on 2011-12-29

Is it possible to use both libgstreamer0.10-dev and libgstreamer0.10-dev:386 without breaking the world.
I need to have both the glibs and gstream devs for both 32 and 64 bits, in order compile the latest qt 4.8 for both platforms.

Something simple must be possible, I do not want to "Knit" an new system out of a fresh 64 bit install.

BR
Ed

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu gcc-defaults Edit question
Assignee:
No assignee Edit question
Last query:
2011-12-29
Last reply:
2011-12-29
mycae (mycae) said : #1

Cross compiling is possible, but is always hard, as build systems are rarely tested in this configuration. I recommend just using a virtual machine to save yourself a lot of worry.

Can you help with this problem?

Provide an answer of your own, or ask ed chapman for more information if necessary.

To post a message you must log in.